Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp.taglib
Class HtmlComponentTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlComponentTagBase

extends UIComponentTagBase

Base tag for all components with common Html attributes.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:55 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from class javax.faces.webapp.UIComponentTagBase
`log`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`HtmlComponentTagBase()`

Method Summary
`void` | `release()`
`void` | `setDir(javax.el.ValueExpression dir)`
`void` | `setLang(javax.el.ValueExpression lang)`
`void` | `setOnclick(javax.el.ValueExpression onclick)`
`void` | `setOndblclick(javax.el.ValueExpression ondblclick)`
`void` | `setOnkeydown(javax.el.ValueExpression onkeydown)`
`void` | `setOnkeypress(javax.el.ValueExpression onkeypress)`
`void` | `setOnkeyup(javax.el.ValueExpression onkeyup)`
`void` | `setOnmousedown(javax.el.ValueExpression onmousedown)`
`void` | `setOnmousemove(javax.el.ValueExpression onmousemove)`
`void` | `setOnmouseout(javax.el.ValueExpression onmouseout)`
`void` | `setOnmouseover(javax.el.ValueExpression onmouseover)`
`void` | `setOnmouseup(javax.el.ValueExpression onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setStyle(javax.el.ValueExpression style)`
`void` | `setStyleClass(javax.el.ValueExpression styleClass)`
`void` | `setTitle(javax.el.ValueExpression title)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlComponentTagBase

    public HtmlComponentTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentELTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `javax.faces.webapp.UIComponentELTag`

### setStyleClass

    public void setStyleClass(javax.el.ValueExpression styleClass)

### setDir

    public void setDir(javax.el.ValueExpression dir)

### setLang

    public void setLang(javax.el.ValueExpression lang)

### setStyle

    public void setStyle(javax.el.ValueExpression style)

### setTitle

    public void setTitle(javax.el.ValueExpression title)

### setOnclick

    public void setOnclick(javax.el.ValueExpression onclick)

### setOndblclick

    public void setOndblclick(javax.el.ValueExpression ondblclick)

### setOnmousedown

    public void setOnmousedown(javax.el.ValueExpression onmousedown)

### setOnmouseup

    public void setOnmouseup(javax.el.ValueExpression onmouseup)

### setOnmouseover

    public void setOnmouseover(javax.el.ValueExpression onmouseover)

### setOnmousemove

    public void setOnmousemove(javax.el.ValueExpression onmousemove)

### setOnmouseout

    public void setOnmouseout(javax.el.ValueExpression onmouseout)

### setOnkeypress

    public void setOnkeypress(javax.el.ValueExpression onkeypress)

### setOnkeydown

    public void setOnkeydown(javax.el.ValueExpression onkeydown)

### setOnkeyup

    public void setOnkeyup(javax.el.ValueExpression onkeyup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.